io.agora.rtc

## Class ChannelMediaInfo

- java.lang.Object
- - io.agora.rtc.ChannelMediaInfo

-     public class ChannelMediaInfo
      extends java.lang.Object

  Channel media information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `channelName` Channel name
    `private java.lang.String` | `token` Token for authentication
    `private int` | `uid` User ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelMediaInfo()` Default constructor for ChannelMediaInfo.
    `ChannelMediaInfo(java.lang.String channelName, java.lang.String token, int uid)` Constructs ChannelMediaInfo with channel name, token, and UID.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChannelName()` Gets the channel name.
    `java.lang.String` | `getToken()` Gets the token for authentication.
    `int` | `getUid()` Gets the user ID.
    `void` | `setChannelName(java.lang.String channelName)` Sets the channel name.
    `void` | `setToken(java.lang.String token)` Sets the token for authentication.
    `void` | `setUid(int uid)` Sets the user ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### channelName

          private java.lang.String channelName

      Channel name

    - #### token

          private java.lang.String token

      Token for authentication

    - #### uid

          private int uid

      User ID

  - ### Constructor Detail

    - #### ChannelMediaInfo

          public ChannelMediaInfo()

      Default constructor for ChannelMediaInfo.

    - #### ChannelMediaInfo

          public ChannelMediaInfo(java.lang.String channelName,
                                  java.lang.String token,
                                  int uid)

      Constructs ChannelMediaInfo with channel name, token, and UID.
      Parameters:
        `channelName` - Channel name
        `token` - Token for authentication
        `uid` - User ID

  - ### Method Detail

    - #### getChannelName

          public java.lang.String getChannelName()

      Gets the channel name.
      Returns:
        Channel name

    - #### setChannelName

          public void setChannelName(java.lang.String channelName)

      Sets the channel name.
      Parameters:
        `channelName` - Channel name

    - #### getToken

          public java.lang.String getToken()

      Gets the token for authentication.
      Returns:
        Token for authentication

    - #### setToken

          public void setToken(java.lang.String token)

      Sets the token for authentication.
      Parameters:
        `token` - Token for authentication

    - #### getUid

          public int getUid()

      Gets the user ID.
      Returns:
        User ID

    - #### setUid

          public void setUid(int uid)

      Sets the user ID.
      Parameters:
        `uid` - User ID